require 'werkzeug'
require 'engine'
ffi=require 'ffi'
bit=require 'bit'

love.filesystem.createDirectory('filez')
scene=(function ()
  local me
  local state=engine.getModul('state')
  me=engine.getScene('choose')({
  {"TileSet Editor",true,function ()
    scene=engine.getScene('tileseteditor')(state.getTileset('default'),state.getPalette('default'),function ()
      scene=me
    end)
  end}
  ,
  {"Save",true,function ()
    scene=engine.getScene('filedialog')(true,function (path)
      state.save(path)
      scene=me
    end,function ()
      scene=me
    end)
  end}
  ,  
  {"Load",true,function ()
    scene=engine.getScene('filedialog')(false,function (path)
      state.load(path)
      scene=me
    end,function ()
      scene=me
    end)
  end}
  ,
  {"Browse Folder",true,function ()
    love.system.openURL( 'file://' .. love.filesystem.getSaveDirectory( ) .. '/filez' )
  end}
  ,
  {"Trapezoid",true,function ()
    scene=engine.getScene('example_trapezoid')(function ()
      scene=me
    end)
  end},
  {"Perspective Quad",true,function ()
    scene=engine.getScene('example_perspectivequad')(function ()
      scene=me
    end)
  end},  
  {"Quit",false,function ()
    love.event.push('quit')
  end}
  }
  ,function ()
  end)
  return me
end)()
