return (function (label,done,back)
  local pos=0
  local font=love.graphics.newFont(24)
  local buffer=""
  return {draw=function ()
    local width,height=love.graphics.getDimensions()
    love.graphics.clear()
    love.graphics.setFont(font)
    love.graphics.setColor(255,255,255,255)    
    love.graphics.print(label,(width-font:getWidth(label))/2,(height-48)/2)
    love.graphics.setColor(0,255,0,255)    
    love.graphics.print(buffer,(width-font:getWidth(buffer))/2,height/2)
  end, keypressed=function (key,isRepeat)
    if key=='backspace' then
      buffer=buffer:sub(1,-2)
    elseif key=='return' then
      done(buffer)
    elseif key=='escape' then
      back()
    end
  end, textinput=function (char)
    buffer=buffer..char
  end}
end)

