return (function ()
  local me
  me=function (new,path,done,back)
    local entrys={}
    local choose
    open=function (file)
      local newpath=path .. '/' .. file
      if love.filesystem.isFile(newpath) then
        return function ()
          done(newpath)
        end
      else
        return function ()
          scene=me(new,newpath,done,function()
            scene=choose
          end)
        end
      end
    end
    for k, file in ipairs(love.filesystem.getDirectoryItems(path)) do
      table.insert(entrys,{file,true,open(file)})
    end
    if new then
      table.insert(entrys,{'[new]',false,function()
        scene=engine.getScene('textinput')("New File Name",function (text)
          done(path..'/'..text)
        end,function ()
          scene=choose
        end)
      end})      
    elseif #entrys==0 then
      table.insert(entrys,{'[empty]',false,function()
      end})
    end
    choose=engine.getScene('choose')(entrys,back)
    return choose
  end
  return function(new,done,back)
    return me(new,'/filez',done,back)
  end
end)()
