hex_dump = function (str)
  local len = string.len( str )
  local dump = ""
  local hex = ""
  local asc = ""
  for i = 1, len do
    if 1 == i % 8 then
      dump = dump .. hex .. asc .. "\n"
      hex = string.format( "%04x: ", i - 1 )
      asc = ""
    end
    local ord = string.byte( str, i )
    hex = hex .. string.format( "%02x ", ord )
    if ord >= 32 and ord <= 126 then
      asc = asc .. string.char( ord )
    else
      asc = asc .. "."
    end
  end
  return dump .. hex .. string.rep( "   ", 8 - len % 8 ) .. asc
end

toScreenColor=function (color)
  return {color[0]*17,color[1]*17,color[2]*17,color[3]*17}
end
